Subject: RE: bug#14794: 24.3.50; `w32-register-hot-key' does not work on Windows 7 64-bit

From: Drew Adams <[email-masked]>
Date: Thu, 11 Jul 2013 11:47:17 -0700 (PDT)

> > I'm using Windows 7 64-bit, if that makes a difference.
> > (And the same code worked fine on Windows XP SP3.)
> 
> Turns out it does make a difference.  This documentation page:
> 
>   http://msdn.microsoft.com/en-
> us/library/windows/desktop/ms646309%28v=vs.85%29.aspx
> 
> explicitly says that the behavior of the underlying API has changed
> since XP: if the hot key is already registered, the API now fails
> instead of replacing the old registration with the new.  And Alt+TAB
> is hooked by the Windows Explorer.  And indeed, on Windows 7 I see
> that the call to RegisterHotKey API consistently fails with an error
> code which says "Hot key is already registered".

Ouch.  Awful.  And hard to believe.

> Unless someone knows a way around this (I searched for it, but didn't
> find any solutions, only complaints), I guess this will remain a
> "known bug".
> 
> Does this work for you with other key combinations, btw?

Dunno.  Can you tell me some key combinations to try?